> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Donor View

> Displays the donor's profile and related information,
     *          handling the retrieval of donor data based on session ID.



## OpenAPI

````yaml get /frontend/donor/dashboard/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/donor/dashboard/{client_id}/{program_id}/{session_id}:
    get:
      tags:
        - Frontend Donor
      summary: Donor View
      description: |-
        Displays the donor's profile and related information,
             *          handling the retrieval of donor data based on session ID.
      operationId: bb51d2794441de041c9a3c07120fff1b
      parameters:
        - name: client_id
          in: path
          description: Client ID associated with the donor account
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: Program ID associated with the donor account
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: Session ID for retrieving donor information
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Donor profile data retrieval successful
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: object
                type: object
        '401':
          description: Unauthorized access or invalid session
          content:
            application/json:
              schema:
                properties:
                  redirect:
                    type: string
                  status:
                    type: string
                    example: error
                type: object
      security:
        - sessionIdAuth: []
components:
  securitySchemes:
    sessionIdAuth:
      type: apiKey
      description: Use a session id to authenticate
      name: session_id
      in: header

````